Arch IfcSpreadsheet/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/fr")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
{{Template:UnfinishedDocu}}
{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]}}

<div class="mw-translate-fuzzy">
{{GuiCommand/fr|Name=Arch_MakeIfcSpreadsheet|Name/fr=Arch_Créer une feuille de calcul Ifc|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Utilitaires → Créer une feuille de calcul Ifc...|Shortcut=}}
{{GuiCommand/fr|Name=Arch_MakeIfcSpreadsheet|Name/fr=Arch_Créer une feuille de calcul Ifc|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Utilitaires → Créer une feuille de calcul Ifc...|Shortcut=}}
</div>

== Description ==
This tool creates a spreadsheet to store IFC properties of an object.

== How to use ==
# Select an object.
# Go to {{MenuCommand|Arch → Utilities → [[Image:Arch_Schedule.svg|16px]] Create IFC spreadsheet}}.

== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].

This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
spreadsheet = makeIfcSpreadsheet(archobj=None)
}}

* Creates a {{incode|spreadsheet}} object. Optionally an {{incode|archobj}} can be given.

Example:
{{Code|code=
import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)
}}

{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]}}


<div class="mw-translate-fuzzy">
[[Category:Arch/fr]]
[[Category:Arch/fr]]
</div>

Revision as of 13:16, 5 February 2019

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arch_Créer une feuille de calcul Ifc

Emplacement du menu
Arch → Utilitaires → Créer une feuille de calcul Ifc...
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

This tool creates a spreadsheet to store IFC properties of an object.

How to use

  1. Select an object.
  2. Go to Arch → Utilities → Create IFC spreadsheet.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)